For the complete documentation index, see llms.txt. This page is also available as Markdown.

Playbook Assembly Reference Template Columns

Get a paginated list of template columns for an assembly reference.

get
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
referenceObjectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
assemblyObjectIdentifierstringRequired
Query parameters
pageinteger · int32OptionalDefault: 1
pageSizeinteger · int32OptionalDefault: 20
Responses
200

OK

totalCountinteger · int32Optional
get/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns
GET /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "template": {
        "type": "text",
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": "[Circular Reference]"
          }
        ]
      }
    }
  ],
  "totalCount": 1
}

Create a new template column for an assembly reference.

post
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
referenceObjectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
assemblyObjectIdentifierstringRequired
Body
namestring · nullableRequired
Responses
201

Created

objectIdentifierstring · uuidOptional
assemblyReferenceObjectIdentifierstring · uuidOptional
namestring · nullableOptional
post/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns
POST /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1691

{
  "name": "text",
  "template": {
    "type": "text",
    "content": [
      {
        "type": "text",
        "text": "text",
        "attrs": {
          "id": "text",
          "label": "text",
          "uuid": "123e4567-e89b-12d3-a456-426614174000",
          "type": "text",
          "promptDataType": "boolean",
          "properties": [
            {
              "type": "text",
              "attrs": {
                "type": "text",
                "uuid": "123e4567-e89b-12d3-a456-426614174000",
                "id": "text",
                "label": "text",
                "renderAs": "text",
                "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
              }
            }
          ],
          "level": 1,
          "href": "text",
          "textAlign": "text"
        },
        "marks": [
          {
            "type": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            }
          }
        ],
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": "[Circular Reference]"
          }
        ]
      }
    ]
  }
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "template": {
    "type": "text",
    "content": [
      {
        "type": "text",
        "text": "text",
        "attrs": {
          "id": "text",
          "label": "text",
          "uuid": "123e4567-e89b-12d3-a456-426614174000",
          "type": "text",
          "promptDataType": "boolean",
          "properties": [
            {
              "type": "text",
              "attrs": {
                "type": "text",
                "uuid": "123e4567-e89b-12d3-a456-426614174000",
                "id": "text",
                "label": "text",
                "renderAs": "text",
                "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
              }
            }
          ],
          "level": 1,
          "href": "text",
          "textAlign": "text"
        },
        "marks": [
          {
            "type": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            }
          }
        ],
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": "[Circular Reference]"
          }
        ]
      }
    ]
  }
}

Get a specific template column by object identifier.

get
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
assemblyObjectIdentifierstringRequired
referenceObjectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidOptional
assemblyReferenceObjectIdentifierstring · uuidOptional
namestring · nullableOptional
get/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns/{objectIdentifier}
GET /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "template": {
    "type": "text",
    "content": [
      {
        "type": "text",
        "text": "text",
        "attrs": {
          "id": "text",
          "label": "text",
          "uuid": "123e4567-e89b-12d3-a456-426614174000",
          "type": "text",
          "promptDataType": "boolean",
          "properties": [
            {
              "type": "text",
              "attrs": {
                "type": "text",
                "uuid": "123e4567-e89b-12d3-a456-426614174000",
                "id": "text",
                "label": "text",
                "renderAs": "text",
                "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
              }
            }
          ],
          "level": 1,
          "href": "text",
          "textAlign": "text"
        },
        "marks": [
          {
            "type": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            }
          }
        ],
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": "[Circular Reference]"
          }
        ]
      }
    ]
  }
}

Update an existing template column.

put
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
assemblyObjectIdentifierstringRequired
referenceObjectIdentifierstringRequired
Body
namestring · nullableRequired
Responses
200

OK

objectIdentifierstring · uuidOptional
assemblyReferenceObjectIdentifierstring · uuidOptional
namestring · nullableOptional
put/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns/{objectIdentifier}
PUT /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1691

{
  "name": "text",
  "template": {
    "type": "text",
    "content": [
      {
        "type": "text",
        "text": "text",
        "attrs": {
          "id": "text",
          "label": "text",
          "uuid": "123e4567-e89b-12d3-a456-426614174000",
          "type": "text",
          "promptDataType": "boolean",
          "properties": [
            {
              "type": "text",
              "attrs": {
                "type": "text",
                "uuid": "123e4567-e89b-12d3-a456-426614174000",
                "id": "text",
                "label": "text",
                "renderAs": "text",
                "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
              }
            }
          ],
          "level": 1,
          "href": "text",
          "textAlign": "text"
        },
        "marks": [
          {
            "type": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            }
          }
        ],
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": "[Circular Reference]"
          }
        ]
      }
    ]
  }
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "template": {
    "type": "text",
    "content": [
      {
        "type": "text",
        "text": "text",
        "attrs": {
          "id": "text",
          "label": "text",
          "uuid": "123e4567-e89b-12d3-a456-426614174000",
          "type": "text",
          "promptDataType": "boolean",
          "properties": [
            {
              "type": "text",
              "attrs": {
                "type": "text",
                "uuid": "123e4567-e89b-12d3-a456-426614174000",
                "id": "text",
                "label": "text",
                "renderAs": "text",
                "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
              }
            }
          ],
          "level": 1,
          "href": "text",
          "textAlign": "text"
        },
        "marks": [
          {
            "type": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            }
          }
        ],
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": "[Circular Reference]"
          }
        ]
      }
    ]
  }
}

Delete a template column from an assembly reference.

delete
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
assemblyObjectIdentifierstringRequired
referenceObjectIdentifierstringRequired
Responses
204

No Content

No content

delete/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns/{objectIdentifier}
DELETE /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated